Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.model
Class ModelIronGolem

    java.lang.Object
      net.minecraft.client.model.ModelBase
          net.minecraft.client.model.ModelIronGolem

    public class ModelIronGolem

extends ModelBase

Field Summary
`ModelRenderer` | `ironGolemBody` The body model for the iron golem.
`ModelRenderer` | `ironGolemHead` The head model for the iron golem.
`ModelRenderer` | `ironGolemLeftArm` The left arm model for the iron golem.
`ModelRenderer` | `ironGolemLeftLeg` The left leg model for the Iron Golem.
`ModelRenderer` | `ironGolemRightArm` The right arm model for the iron golem.
`ModelRenderer` | `ironGolemRightLeg` The right leg model for the Iron Golem.

Fields inherited from class net.minecraft.client.model.ModelBase
`boxList, isChild, isRiding, onGround, textureHeight, textureWidth`

Constructor Summary
`ModelIronGolem()`
`ModelIronGolem(float par1)`
`ModelIronGolem(float par1, float par2)`

Method Summary
`void` | `render(Entity par1Entity, float par2, float par3, float par4, float par5, float par6, float par7)` Sets the models various rotation angles then renders the model.
`void` | `setLivingAnimations(EntityLiving par1EntityLiving, float par2, float par3, float par4)` Used for easily adding entity-dependent animations.
`void` | `setRotationAngles(float par1, float par2, float par3, float par4, float par5, float par6, Entity par7Entity)` Sets the model's various rotation angles.

Methods inherited from class net.minecraft.client.model.ModelBase
`func_85181_a, getTextureOffset`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ironGolemHead

    public ModelRenderer ironGolemHead

  The head model for the iron golem.

### ironGolemBody

    public ModelRenderer ironGolemBody

  The body model for the iron golem.

### ironGolemRightArm

    public ModelRenderer ironGolemRightArm

  The right arm model for the iron golem.

### ironGolemLeftArm

    public ModelRenderer ironGolemLeftArm

  The left arm model for the iron golem.

### ironGolemLeftLeg

    public ModelRenderer ironGolemLeftLeg

  The left leg model for the Iron Golem.

### ironGolemRightLeg

    public ModelRenderer ironGolemRightLeg

  The right leg model for the Iron Golem.

Constructor Detail

### ModelIronGolem

    public ModelIronGolem()

### ModelIronGolem

    public ModelIronGolem(float par1)

### ModelIronGolem

    public ModelIronGolem(float par1,
                          float par2)

Method Detail

### render

    public void render(Entity par1Entity,
                       float par2,
                       float par3,
                       float par4,
                       float par5,
                       float par6,
                       float par7)

  Sets the models various rotation angles then renders the model.

  Overrides:
    `render` in class `ModelBase`

### setRotationAngles

    public void setRotationAngles(float par1,
                                  float par2,
                                  float par3,
                                  float par4,
                                  float par5,
                                  float par6,
                                  Entity par7Entity)

  Sets the model's various rotation angles. For bipeds, par1 and par2 are used for animating the movement of arms and legs, where par1 represents the time(so that arms and legs swing back and forth) and par2 represents how "far" arms and legs can swing at most.

  Overrides:
    `setRotationAngles` in class `ModelBase`

### setLivingAnimations

    public void setLivingAnimations(EntityLiving par1EntityLiving,
                                    float par2,
                                    float par3,
                                    float par4)

  Used for easily adding entity-dependent animations. The second and third float params here are the same second and third as in the setRotationAngles method.

  Overrides:
    `setLivingAnimations` in class `ModelBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD